Bug 144010 - ATI Mobility Radeon restricted to 800x600 max
ATI Mobility Radeon restricted to 800x600 max
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 13:51 EST by Jason Vas Dias
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 14:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum logs and ' rpm --last -qa' output (41.83 KB, application/octet-stream)
2005-01-03 17:00 EST, Jason Vas Dias
no flags Details

  None (edit)
Description Jason Vas Dias 2005-01-03 13:51:16 EST
Description of problem:

I yum upgraded rawhide 2004-11-1 to 2005-1-2 :
FROM:                                 TO:
     system-config-display 1.0.23-1      1.0.24-1
     kernel-2.6.9-1.1009_FC4             2.6.10-1.1063_FC4
on an IBM ThinkPad T41 laptop 
and my ATI Mobility Radeon driven display resolution 
changed from 1280x1024 to 800x600. 

There was no way to increase the resolution with system-config-display. 

An /etc/X11/xorg.conf file was created during the upgrade with
the new resolution restriction; simply replacing this file with
/etc/X11/xorg.conf.backup fixed the problem and the display is 
now back to 1280x1024 and is working OK .


Version-Release number of selected component (if applicable):
     system-config-display-1.0.24-1
     kernel-2.6.10-1.1063_FC4


How reproducible:
     100%


Steps to Reproduce:
1. Upgrade to latest rawhide of 2005-01-03
  
Actual results:

Display on ATI Radeon Mobility LCD changes from 1280x1024 to
800x600 , and there is no way to increase resolution with 
system-config-display.

Expected results:

Display resolution should not be changed during upgrade, 
and system-config-display should let you increase resolution
to maximum value supported by card. 

Additional info:

" lspci -vvx  " output for card:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon
Mobility M7 LW [Radeon Mobility 7500] (prog-if00 [VGA])
        Subsystem: IBM: Unknown device 0530
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping+ SERR+ FastB2B+
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min), Cache Line Size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 3000 [size=256]
        Region 2: Memory at c0100000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [58] AGP version 2.0
                Status: RQ=48 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64-
HTrans- 64bit- FW- AGP3- Rate=x1,x2,x4
                Command: RQ=32 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit-
FW- Rate=x1
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
00: 02 10 57 4c 87 03 b0 02 00 00 00 03 08 42 00 00
10: 08 00 00 e0 01 30 00 00 00 00 10 c0 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 14 10 30 05
30: 00 00 00 00 58 00 00 00 00 00 00 00 0b 01 08 00


# cd /etc/X11
# diff -u xorg.conf.backup xorg.conf
--- xorg.conf.backup    2005-01-03 11:20:34.000000000 -0500
+++ xorg.conf   2005-01-03 13:02:04.278766136 -0500
@@ -1,21 +1,22 @@
-
 # Xorg configuration created by system-config-display

 Section "ServerLayout"
-       Identifier     "single head configuration"
+       Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
+       InputDevice    "Synaptics" "AlwaysCore"
 EndSection

 Section "Files"
-
 # RgbPath is the location of the RGB database.  Note, this is the
name of the
 # file minus the extension (like ".txt" or ".db").  There is normally
 # no need to change the default.
+
 # Multiple FontPath entries are allowed (they are concatenated together)
 # By default, Red Hat 6.0 and later now use a font server independent of
 # the X server to render fonts.
+
        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
 EndSection
@@ -28,15 +29,17 @@
        Load  "record"
        Load  "freetype"
        Load  "type1"
+       Load  "synaptics"
        Load  "dri"
 EndSection

 Section "InputDevice"
-
 # Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
 #      Option  "Xleds"         "1 2 3"
+
 # To disable the XKEYBOARD extension, uncomment XkbDisable.
 #      Option  "XkbDisable"
+
 # To customise the XKB settings to suit your keyboard, modify the
 # lines below (which are the defaults).  For example, for a non-U.S.
 # keyboard, you will probably want to use:
@@ -72,12 +75,20 @@
        Option      "Emulate3Buttons" "yes"
 EndSection

+Section "InputDevice"
+       Identifier  "Synaptics"
+       Driver      "synaptics"
+       Option      "Device" "/dev/input/mice"
+       Option      "Protocol" "auto-dev"
+       Option      "Emulate3Buttons" "yes"
+EndSection
+
 Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
-       ModelName    "LCD Panel 1280x1024"
-       HorizSync    31.5 - 67.0
-       VertRefresh  50.0 - 75.0
+       ModelName    "Unknown monitor"
+       HorizSync    31.5 - 37.9
+       VertRefresh  50.0 - 70.0
        Option      "dpms"
 EndSection

@@ -92,17 +103,12 @@
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
-       DefaultDepth     24
+       DefaultDepth     16
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "800x600" "640x480"
        EndSubSection
-       SubSection "Display"
-               Viewport   0 0
-               Depth     24
-               Modes    "1280x1024" "1280x960" "1152x864" "1024x768"
"800x600" "640x480"
-       EndSubSection
 EndSection

 Section "DRI"
Comment 1 Paul Nasrat 2005-01-03 14:16:52 EST
Please add output of running as root:

kudzu -p -b ddc 

It looks as if you have an lcd monitor which may not support ddc, did
you ever use s-c-display to change monitor?
Comment 2 Jason Vas Dias 2005-01-03 14:46:59 EST
I clean installed the rawhide of @ 2004-10-01 using
system-config-display through anaconda, but since then
never changed the display settings or xorg.conf at all .
It was only when I upgraded to the latest 2005-01-03
rawhide that I lost  my 1280x1024 resolution and had
to copy back the original xorg.conf. 

Here's the output you asked for:
$ kudzu -p -b ddc
-
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "ATI Technologies Inc. P7"
mem: 32704
Comment 3 Paul Nasrat 2005-01-03 15:33:15 EST
We're certainly not able to probe your monitor, so you'd need to reselect it
manually if the settings were clobbered - which they seem to have been.  Not
much we can do about that atm sadly. I assume this was done at install.

Selecting an appropriate LCD monitor in s-c-display should enable you to
reconfigure back to the higher resolutions (we calculate available modes based
on card/monitor/video memory).

Was xorg-x11 updated at any time.   IIRC there was a bug at one point with it
moving an existing config out of the way or did you run system-config-display
--reconfig. , I'm trying to ascertain why the config got replaced.

Can you attach rpm --last -qa.  I'll also try to reproduce based on the details
you give.
Comment 4 Jason Vas Dias 2005-01-03 16:59:39 EST
The xorg.conf was replaced during the 'yum upgrade' - that's
the major problem of this bug as far as I'm concerned. I know
if I set the monitor type I'd be able to select 1280x1024 mode -
but the xorg.conf should not have been changed during the yum 
upgrade.
I've appended a gzipped tar file containing the 'rpm --last -qa'
output, as well as the yum logs on my system.
Comment 5 Jason Vas Dias 2005-01-03 17:00:57 EST
Created attachment 109290 [details]
yum logs and ' rpm  --last -qa' output
Comment 6 Sammy 2005-01-04 08:53:43 EST
I had the same thing happen. 
Comment 7 Adam Jackson 2006-09-21 18:37:55 EDT
This should be working as of FC6 test3.  Please reopen if this issue still
occurs for you.
Comment 8 Adam Jackson 2007-04-03 14:22:37 EDT
NEEDINFO timeout, resolving as INSUFFICIENT_DATA.  If you are still experiencing
this bug in FC6 or FC7, please reopen.  Thanks for the report!
Comment 9 Matěj Cepl 2007-10-29 09:43:25 EDT
may be revived as bug 330761

Note You need to log in before you can comment on or make changes to this bug.